Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface ProjectDependency

    org.gradle.api.artifacts.ProjectDependency
      org.gradle.api.Buildable
          org.gradle.plugins.ide.idea.model.ModuleDependency
              org.gradle.api.artifacts.Dependency
                  org.gradle.api.artifacts.SelfResolvingDependency

All Superinterfaces:
  Buildable, ModuleDependency, Dependency, SelfResolvingDependency

    public interface ProjectDependency
    extends ModuleDependency, SelfResolvingDependency

A `ProjectDependency` is a Dependency on another project in the current project hierarchy.

Authors:
  Hans Dockter

Field Summary

Fields inherited from interface Dependency
ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION

Method Summary
`ProjectDependency` | `copy()` {@inheritDoc}
`Project` | `getDependencyProject()` Returns the project associated with this project dependency.
`Configuration` | `getProjectConfiguration()` Returns the configuration associated with this project dependency.

Methods inherited from class ModuleDependency
addToNode, equals, hashCode, toString

Methods inherited from interface SelfResolvingDependency
resolve, resolve

Methods inherited from interface Buildable
getBuildDependencies

Methods inherited from interface Dependency
contentEquals, copy, getGroup, getName, getVersion

Method Detail

### copy

    public ProjectDependency copy()

  {@inheritDoc}

### getDependencyProject

    public Project getDependencyProject()

  Returns the project associated with this project dependency.

### getProjectConfiguration

    public Configuration getProjectConfiguration()

  Returns the configuration associated with this project dependency. The configuration belongs to the project associated with this project dependency.
  See Also:
    getDependencyProject()

Gradle API 1.1-rc-1